This CPE summary could be partial or incomplete. Please contact us for a detailed listing.

Summary

Summuary
CPE Namecpe:/a:adobe:air:2.7.1.1961
Detail
VendorAdobeFirst view 2012-08-21
ProductAirLast view2017-06-27
Version2.7.1.1961TypeApplication
Edition 
Language 
Update 
 
CPE Productcpe:/a:adobe:air

Activity : Overall

Related : CVE

This CPE have more than 25 Relations. If you want to see a complete summary for this CPE, please contact us.
 DateAlertAccess VectorAccess ComplexityAuthentication
102017-06-27CVE-2016-0959NetworkLowNone Requ...
9.32016-04-22CVE-2015-8823NetworkMediumNone Requ...
102016-03-12CVE-2016-1010NetworkLowNone Requ...
9.32016-03-12CVE-2016-1005NetworkMediumNone Requ...
102016-03-12CVE-2016-1002NetworkLowNone Requ...
Hide | Show 20 More...
 DateAlertAccess VectorAccess ComplexityAuthentication
102016-03-12CVE-2016-1001NetworkLowNone Requ...
102016-03-12CVE-2016-1000NetworkLowNone Requ...
102016-03-12CVE-2016-0999NetworkLowNone Requ...
102016-03-12CVE-2016-0998NetworkLowNone Requ...
102016-03-12CVE-2016-0997NetworkLowNone Requ...
9.32016-03-12CVE-2016-0996NetworkMediumNone Requ...
102016-03-12CVE-2016-0995NetworkLowNone Requ...
9.32016-03-12CVE-2016-0994NetworkMediumNone Requ...
102016-03-12CVE-2016-0993NetworkLowNone Requ...
102016-03-12CVE-2016-0992NetworkLowNone Requ...
102016-03-12CVE-2016-0991NetworkLowNone Requ...
102016-03-12CVE-2016-0990NetworkLowNone Requ...
102016-03-12CVE-2016-0989NetworkLowNone Requ...
102016-03-12CVE-2016-0988NetworkLowNone Requ...
102016-03-12CVE-2016-0987NetworkLowNone Requ...
102016-03-12CVE-2016-0986NetworkLowNone Requ...
102016-03-12CVE-2016-0963NetworkLowNone Requ...
102016-03-12CVE-2016-0962NetworkLowNone Requ...
102016-03-12CVE-2016-0961NetworkLowNone Requ...

CWE : Common Weakness Enumeration

%idName
69% (136)CWE-119Failure to Constrain Operations within the Bounds of a Memory Buffer
8% (16)CWE-200Information Exposure
5% (11)CWE-189Numeric Errors
4% (9)CWE-264Permissions, Privileges, and Access Controls
3% (7)CWE-94Failure to Control Generation of Code ('Code Injection')
Hide | Show 7 More...
%idName
3% (6)CWE-284Access Control (Authorization) Issues
1% (3)CWE-399Resource Management Errors
1% (2)CWE-416Use After Free
1% (2)CWE-352Cross-Site Request Forgery (CSRF)
0% (1)CWE-704Incorrect Type Conversion or Cast
0% (1)CWE-362Race Condition
0% (1)CWE-20Improper Input Validation

Oval Markup Language : Definitions

This CPE have more than 25 Relations. If you want to see a complete summary for this CPE, please contact us.
OvalIDName
oval:org.mitre.oval:def:19802Adobe Flash Player before 11.7.700.252 and 11.8.x and 11.9.x before 11.9.900....
oval:org.mitre.oval:def:20004Adobe Flash Player before in Adobe Flash Player before 10.3.183.63 and 11.x b...
oval:org.mitre.oval:def:25763SUSE-SU-2013:0296-1 -- Security update for flash-player
oval:org.mitre.oval:def:20073Integer overflow in Adobe Flash Player before in Adobe Flash Player before 10...
oval:org.mitre.oval:def:20395Buffer overflow in Adobe Flash Player before 10.3.183.48 and 11.x before 11.5...
Hide | Show 20 More...
idName
oval:org.mitre.oval:def:19869Buffer overflow in Adobe Flash Player before in Adobe Flash Player before 10....
oval:org.mitre.oval:def:20651Adobe Flash Player before 10.3.183.23 and 11.x before 11.4.402.265 and Adobe ...
oval:org.mitre.oval:def:19410Buffer overflow in Adobe Flash Player before in Adobe Flash Player before 10....
oval:org.mitre.oval:def:21501RHSA-2012:1569: flash-plugin security update (Critical)
oval:org.mitre.oval:def:20772Adobe Flash Player before 10.3.183.48 and 11.x before 11.5.502.135 and Adobe ...
oval:org.mitre.oval:def:23603ELSA-2012:1569: flash-plugin security update (Critical)
oval:org.mitre.oval:def:28250SUSE-SU-2014:1465-1 -- Security update for flash-player (moderate)
oval:org.mitre.oval:def:28194SUSE-SU-2014:1442-1 -- Security update for flash-player (important)
oval:org.mitre.oval:def:19694Adobe Flash Player before 11.7.700.242 and 11.8.x before 11.8.800.168 on Wind...
oval:org.mitre.oval:def:19929Adobe Flash Player before 11.7.700.242 and 11.8.x before 11.8.800.168 on Wind...
oval:org.mitre.oval:def:21081RHSA-2013:1818: flash-plugin security update (Critical)
oval:org.mitre.oval:def:20738Adobe Flash Player before 11.7.700.257 and 11.8.x and 11.9.x before 11.9.900....
oval:org.mitre.oval:def:23919ELSA-2013:1818: flash-plugin security update (Critical)
oval:org.mitre.oval:def:25522SUSE-SU-2013:1896-1 -- Security update for flash-player
oval:org.mitre.oval:def:20928Buffer overflow in Adobe Flash Player before 10.3.183.43 and 11.x before 11.5...
oval:org.mitre.oval:def:21594RHSA-2012:1346: flash-plugin security update (Critical)
oval:org.mitre.oval:def:20589Unspecified vulnerability in Adobe Flash Player before 10.3.183.29 and 11.x b...
oval:org.mitre.oval:def:23588ELSA-2012:1346: flash-plugin security update (Critical)
oval:org.mitre.oval:def:20125Buffer overflow in Adobe Flash Player before in Adobe Flash Player before 10....
oval:org.mitre.oval:def:19427Buffer overflow in Adobe Flash Player before 10.3.183.63 and 11.x before 11.6...

ExploitDB Exploits

idDescription
33095Adobe Flash Player Type Confusion Remote Code Execution

OpenVAS Exploits

idDescription
2013-03-28Name : Adobe Air Multiple Vulnerabilities - December12 (Mac OS X)
File : nvt/gb_adobe_air_mult_vuln_dec12_macosx.nasl
2013-03-28Name : Adobe Air Multiple Vulnerabilities - December12 (Windows)
File : nvt/gb_adobe_air_mult_vuln_dec12_win.nasl
2013-03-28Name : Adobe Air Multiple Vulnerabilities - November12 (Mac OS X)
File : nvt/gb_adobe_air_mult_vuln_nov12_macosx.nasl
2013-03-28Name : Adobe Air Multiple Vulnerabilities - November12 (Windows)
File : nvt/gb_adobe_air_mult_vuln_nov12_win.nasl
2013-03-28Name : Adobe Air Multiple Vulnerabilities - October 12 (Mac OS X)
File : nvt/gb_adobe_air_mult_vuln_oct12_macosx.nasl
Hide | Show 17 More...
idDescription
2013-03-28Name : Adobe Air Multiple Vulnerabilities - October 12 (Windows)
File : nvt/gb_adobe_air_mult_vuln_oct12_win.nasl
2012-12-14Name : Adobe Flash Player Multiple Vulnerabilities - December12 (Linux)
File : nvt/gb_adobe_flash_player_mult_vuln_dec12_lin.nasl
2012-12-14Name : Adobe Flash Player Multiple Vulnerabilities - December12 (Mac OS X)
File : nvt/gb_adobe_prdts_mult_vuln_dec12_macosx.nasl
2012-12-14Name : Adobe Flash Player Multiple Vulnerabilities - December12 (Windows)
File : nvt/gb_adobe_prdts_mult_vuln_dec12_win.nasl
2012-12-13Name : SuSE Update for flash-player openSUSE-SU-2012:1480-1 (flash-player)
File : nvt/gb_suse_2012_1480_1.nasl
2012-11-26Name : FreeBSD Ports: linux-f10-flashplugin
File : nvt/freebsd_linux-f10-flashplugin4.nasl
2012-11-26Name : FreeBSD Ports: linux-f10-flashplugin
File : nvt/freebsd_linux-f10-flashplugin5.nasl
2012-11-08Name : Adobe Flash Player Multiple Vulnerabilities - November12 (Mac OS X)
File : nvt/gb_adobe_prdts_mult_vuln_nov12_macosx.nasl
2012-11-08Name : Adobe Flash Player Multiple Vulnerabilities - November12 (Windows)
File : nvt/gb_adobe_prdts_mult_vuln_nov12_win.nasl
2012-11-08Name : Adobe Flash Player Multiple Vulnerabilities - November12 (Linux)
File : nvt/gb_adobe_flash_player_mult_vuln_nov12_lin.nasl
2012-10-15Name : Adobe Flash Player Multiple Vulnerabilities - October 12 (Mac OS X)
File : nvt/gb_adobe_prdts_mult_vuln_oct12_macosx.nasl
2012-10-15Name : Adobe Flash Player Multiple Vulnerabilities - October 12 (Windows)
File : nvt/gb_adobe_prdts_mult_vuln_oct12_win.nasl
2012-10-15Name : Adobe Flash Player Multiple Vulnerabilities - Oct12 (Linux)
File : nvt/gb_adobe_flash_player_mult_vuln_oct12_lin.nasl
2012-09-15Name : Gentoo Security Advisory GLSA 201209-01 (adobe-flash)
File : nvt/glsa_201209_01.nasl
2012-09-03Name : Adobe Flash Player Multiple Vulnerabilities - Sep12 (Linux)
File : nvt/gb_adobe_flash_player_mult_vuln_sep12_lin.nasl
2012-08-24Name : Adobe Flash Player Multiple Vulnerabilities -01 August 12 (Mac OS X)
File : nvt/gb_adobe_prdts_mult_vuln01_aug12_macosx.nasl
2012-08-24Name : Adobe Flash Player Multiple Vulnerabilities -01 August 12 (Windows)
File : nvt/gb_adobe_prdts_mult_vuln01_aug12_win.nasl

Information Assurance Vulnerability Management (IAVM)

idDescription
2015-A-0221Multiple Vulnerabilities in Adobe Flash Player and AIR
Severity : Category I - VMSKEY : V0061469
2013-A-0229Multiple Vulnerabilities in Adobe Flash Player
Severity : Category I - VMSKEY : V0042595
2013-A-0209Multiple Vulnerabilities in Adobe Flash Player
Severity : Category I - VMSKEY : V0042292
2013-A-0168Multiple Vulnerabilities In Adobe Flash Player
Severity : Category I - VMSKEY : V0040297

Snort® IPS/IDS

This CPE have more than 25 Relations. If you want to see a complete summary for this CPE, please contact us.
DateDescription
2019-09-24Adobe Flash Player malformed ATF heap overflow attempt
RuleID : 51226 - Type : FILE-FLASH - Revision : 1
2019-09-24Adobe Flash Player malformed ATF heap overflow attempt
RuleID : 51225 - Type : FILE-FLASH - Revision : 1
2019-09-19Adobe Flash player memory corruption attempt
RuleID : 51082 - Type : FILE-FLASH - Revision : 1
2019-09-19Adobe Flash player memory corruption attempt
RuleID : 51081 - Type : FILE-FLASH - Revision : 1
2019-04-27Adobe Flash Player byteArray uncompress information disclosure attempt
RuleID : 49586 - Type : FILE-FLASH - Revision : 2
Hide | Show 20 More...
DateDescription
2019-04-27Adobe Flash Player byteArray uncompress information disclosure attempt
RuleID : 49585 - Type : FILE-FLASH - Revision : 2
2019-04-27Adobe Flash Player byteArray inflate information disclosure attempt
RuleID : 49584 - Type : FILE-FLASH - Revision : 2
2019-04-27Adobe Flash Player byteArray inflate information disclosure attempt
RuleID : 49583 - Type : FILE-FLASH - Revision : 2
2018-03-27Adobe Flash Player ByteArray shading memory leak attempt
RuleID : 45744 - Type : FILE-FLASH - Revision : 1
2018-03-27Adobe Flash Player ByteArray shading memory leak attempt
RuleID : 45743 - Type : FILE-FLASH - Revision : 1
2018-03-13Adobe Flash Player movieclip duplicateMovieClip use-after-free attempt
RuleID : 45616 - Type : FILE-FLASH - Revision : 2
2018-03-13Adobe Flash Player movieclip duplicateMovieClip use-after-free attempt
RuleID : 45615 - Type : FILE-FLASH - Revision : 2
2018-03-13Adobe Flash Player Selection.SetSelection use-after-free attempt
RuleID : 45614 - Type : FILE-FLASH - Revision : 1
2018-03-13Adobe Flash Player Selection.SetSelection use-after-free attempt
RuleID : 45613 - Type : FILE-FLASH - Revision : 1
2018-02-20Adobe Flash Player movieclip startdrag use-after-free attempt
RuleID : 45501 - Type : FILE-FLASH - Revision : 1
2018-02-20Adobe Flash Player movieclip startdrag use-after-free attempt
RuleID : 45500 - Type : FILE-FLASH - Revision : 1
2018-02-20Adobe Flash Player movieclip attachbitmap use-after-free attempt
RuleID : 45459 - Type : FILE-FLASH - Revision : 2
2018-02-20Adobe Flash Player movieclip attachbitmap use-after-free attempt
RuleID : 45458 - Type : FILE-FLASH - Revision : 1
2018-01-03Adobe Flash Player use after free attempt
RuleID : 45085 - Type : FILE-FLASH - Revision : 2
2017-09-28Adobe Flash Player SharedObject use after free attempt
RuleID : 44174 - Type : FILE-FLASH - Revision : 2
2017-09-28Adobe Flash Player SharedObject use after free attempt
RuleID : 44173 - Type : FILE-FLASH - Revision : 2
2017-03-30Adobe Flash Player custom toString and valueOf function attempt
RuleID : 41741 - Type : FILE-FLASH - Revision : 2
2017-03-30Adobe Flash Player custom toString and valueOf function attempt
RuleID : 41740 - Type : FILE-FLASH - Revision : 2
2017-03-28Adobe Flash Player custom valueOf function attempt
RuleID : 41709 - Type : FILE-FLASH - Revision : 2
2017-03-28Adobe Flash Player custom valueOf function attempt
RuleID : 41708 - Type : FILE-FLASH - Revision : 2

Nessus® Vulnerability Scanner

This CPE have more than 25 Relations. If you want to see a complete summary for this CPE, please contact us.
idDescription
2017-02-23Name : The remote device is missing a vendor-supplied security patch.
File : f5_bigip_SOL80533167.nasl - Type : ACT_GATHER_INFO
2016-06-22Name : The remote Gentoo host is missing one or more security-related patches.
File : gentoo_GLSA-201509-07.nasl - Type : ACT_GATHER_INFO
2016-04-01Name : The remote FreeBSD host is missing one or more security-related updates.
File : freebsd_pkg_f7b3d1ebf73811e5a7100011d823eebd.nasl - Type : ACT_GATHER_INFO
2016-03-14Name : The remote Gentoo host is missing one or more security-related patches.
File : gentoo_GLSA-201603-07.nasl - Type : ACT_GATHER_INFO
2016-03-14Name : The remote openSUSE host is missing a security update.
File : openSUSE-2016-325.nasl - Type : ACT_GATHER_INFO
Hide | Show 20 More...
idDescription
2016-03-14Name : The remote openSUSE host is missing a security update.
File : openSUSE-2016-335.nasl - Type : ACT_GATHER_INFO
2016-03-14Name : The remote Red Hat host is missing a security update.
File : redhat-RHSA-2016-0438.nasl - Type : ACT_GATHER_INFO
2016-03-14Name : The remote SUSE host is missing one or more security updates.
File : suse_SU-2016-0715-1.nasl - Type : ACT_GATHER_INFO
2016-03-14Name : The remote SUSE host is missing one or more security updates.
File : suse_SU-2016-0716-1.nasl - Type : ACT_GATHER_INFO
2016-03-11Name : The remote Windows host has a browser plugin installed that is affected by mu...
File : adobe_air_apsb16-08.nasl - Type : ACT_GATHER_INFO
2016-03-11Name : The remote Windows host has a browser plugin installed that is affected by mu...
File : flash_player_apsb16-08.nasl - Type : ACT_GATHER_INFO
2016-03-11Name : The remote Mac OS X host has a browser plugin installed that is affected by m...
File : macosx_adobe_air_apsb16-08.nasl - Type : ACT_GATHER_INFO
2016-03-11Name : The remote Mac OS X host has a browser plugin installed that is affected by m...
File : macosx_flash_player_apsb16-08.nasl - Type : ACT_GATHER_INFO
2016-03-11Name : The remote Windows host has a browser plugin installed that is affected by mu...
File : smb_nt_ms16-036.nasl - Type : ACT_GATHER_INFO
2016-02-12Name : The remote openSUSE host is missing a security update.
File : openSUSE-2016-186.nasl - Type : ACT_GATHER_INFO
2016-02-11Name : The remote FreeBSD host is missing one or more security-related updates.
File : freebsd_pkg_5d8e56c39e674d5b81c93a409dfd705f.nasl - Type : ACT_GATHER_INFO
2016-02-11Name : The remote openSUSE host is missing a security update.
File : openSUSE-2016-183.nasl - Type : ACT_GATHER_INFO
2016-02-11Name : The remote Red Hat host is missing a security update.
File : redhat-RHSA-2016-0166.nasl - Type : ACT_GATHER_INFO
2016-02-09Name : The remote Windows host has a browser plugin installed that is affected by mu...
File : adobe_air_apsb16-04.nasl - Type : ACT_GATHER_INFO
2016-02-09Name : The remote Windows host has a browser plugin installed that is affected by mu...
File : flash_player_apsb16-04.nasl - Type : ACT_GATHER_INFO
2016-02-09Name : The remote Mac OS X host has a browser plugin installed that is affected by m...
File : macosx_adobe_air_apsb16-04.nasl - Type : ACT_GATHER_INFO
2016-02-09Name : The remote Mac OS X host has a browser plugin installed that is affected by m...
File : macosx_flash_player_apsb16-04.nasl - Type : ACT_GATHER_INFO
2016-02-09Name : The remote Windows host has a browser plugin installed that is affected by mu...
File : smb_nt_ms16-022.nasl - Type : ACT_GATHER_INFO
2016-01-27Name : The remote Gentoo host is missing one or more security-related patches.
File : gentoo_GLSA-201601-03.nasl - Type : ACT_GATHER_INFO
2016-01-04Name : The remote openSUSE host is missing a security update.
File : openSUSE-2015-882.nasl - Type : ACT_GATHER_INFO